from CPUPolicy import CPUPolicy
import sys

class python_loader_configure(CPUPolicy) :
    def __init__(self):
        pass;

    def configure(self):
        print "[II] Entering willingly an endless loop."
        while True:
            pass

    def is_preemptive(self):
        return False

    def get_time_slice(self):
        return -1

    def sort_queue(self, queue):
        pass
